## golang-log4go 0.0~hg48

=== debian/changelog ===
golang-log4go (0.0~hg48-1) unstable; urgency=low

  * Initial packaging. Closes: #720942.

 -- Vincent Bernat <bernat@debian.org>  Sun, 19 Jan 2014 10:48:50 +0100
