=== debian/control ===
Source: golang-log4go
Section: devel
Priority: extra
Maintainer: Debian Go Packaging Team <pkg-go-maintainers@lists.alioth.debian.org>
Uploaders: Vincent Bernat <bernat@debian.org>
Build-Depends: debhelper (>= 8.0.0),
               dh-golang,
               golang-go
Standards-Version: 3.9.5
Vcs-Git: git://anonscm.debian.org/pkg-go/packages/golang-log4go.git
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-go/packages/golang-log4go.git;a=summary

Package: golang-log4go-dev
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, dpkg-dev
Built-Using: ${misc:Built-Using}
Description: Go package for level-based and highly configurable logging
 The goal of log4go is to be a robust, configurable, powerful logging
 package to empower Go developers to debug their programs more
 effectively on the fly and diagnose problems in the field without
 hampering their effectiveness during development or hampering the
 performance of their applications.
 .
 This package is a replacement logging package which will be boqth a
 drop-in replacement for and a significant extension of the built-in
 logging functionality in Go.
 .
 It features:
  + File logging with rotation and custom output formats
  + Console logging
  + Network logging via JSON and TCP/UDP
  + XML Logger
  + Automatic log filtering based on log levels on a per-output basis
  + XML configuration available for no-compile changes to logging
  + Wrapper functions and global loggers for easy configuration and
    rapid deployment
